Fork Message
curl --request POST \
--url https://api.veryfront.com/conversations/{conversation_id}/branches \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parts": [
{
"type": "text",
"text": "<string>"
}
]
}
'import requests
url = "https://api.veryfront.com/conversations/{conversation_id}/branches"
payload = {
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parts": [
{
"type": "text",
"text": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parts: [{type: 'text', text: '<string>'}]
})
};
fetch('https://api.veryfront.com/conversations/{conversation_id}/branches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"conversation_id": "<string>",
"seq": 123,
"parts": [
{
"type": "text",
"text": "<string>"
}
],
"created_at": "<string>",
"parent_id": "<string>",
"created_by": "<string>",
"sender_type": "user",
"sender_id": "<string>",
"sender_display_name": "<string>",
"model": "<string>",
"token_usage": {},
"finish_reason": "<string>",
"cost_credits": "<string>",
"edited_at": "<string>",
"idempotency_key": "<string>",
"metadata": {},
"updated_at": "<string>"
}{
"type": "https://api.veryfront.com/errors/validation-error",
"title": "Validation Error",
"status": 400,
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}Fork Message
Creates a new branch from a message.
POST
/
conversations
/
{conversation_id}
/
branches
Fork Message
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Body
application/json
Response
Created sibling message
Available options:
user, assistant, tool One part item supplied to the tool.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
Show child attributes
Show child attributes
Available options:
pending, streaming, completed, failed, cancelled Available options:
user, webhook, service_account, integration, agent, system Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I